# Grady

Grady is a tool to aid in the process of grading exams at the
University of Goettingen, developed at the Institute for Computer Science.

## Description

TODO - write some explanatory prose about the purpose and inner workings of Grady...

## Getting Started

### Dependencies

If you are using [Nix](https://nixos.org/), all you'll need is:

- [devenv](https://devenv.sh/getting-started/)
- [direnv](https://direnv.net/)

Otherwise, you'll need the following to start developing:

- [Docker](https://docker.com)
- [Bun](https://bun.sh/docs/installation)

<!-- ### Installing -->

<!-- See https://devenv.sh/getting-started/ for help with installing Nix and devenv on your system. -->

### Running the Application

There are two ways to run the application for local development: **with only `devenv`** or **with Docker**. Choose the method that best suits your needs.

---

#### Option 1: Running with `devenv` (Recommended for Local Development)

After entering the `devenv` shell, use it to set up and run the application and all required services locally.

> If you're running devenv without direnv for automatic shell activation, enter the shell via `devenv shell` first

```sh
devenv up
```

<!-- > **Note:** Documentation for database migrations is still in progress (TODO). -->

---

#### Option 2: Running without `devenv`

If you prefer not to use `devenv`, you can start a local SurrealDB instance manually using Docker.

1. Create a directory to persist the development database (this is needed to ensure correct filesystem permissions):
```sh
mkdir -p run/data
```
2. Run the SurrealDB Docker container with development credentials:
```sh
docker run --rm --pull always \
  -p 8000:8000 \
  --user $(id -u) \
  -v $(pwd)/run/data:/data \
  -v $(pwd)/db:/db \
  surrealdb/surrealdb:latest start \
    --bind 127.0.0.1:8000 \
    --user root \
    --pass root \
    --log debug \
    --import-file /db/schema/schema.surql \
    rocksdb://data/dev.db
```
3. Install dependencies
```sh
bun install
````
4. Initialize development data
```sh
bun --bun run db/manage.ts init
```
5. Start the app
```sh
bun --bun run dev
```

---

## License

This project is licensed under the MIT License - see the LICENSE.md file for details
