#!/bin/sh

# create a directory to persist the development database
# (this is needed to ensure correct filesystem permissions):
mkdir -p run/data

sleep 5
# launch the DB on the container
docker run --rm --pull always \
	-p 8000:8000 \
	--user "$(id -u)" \
	-v "$(pwd)/run/data:/data" \
	-v "$(pwd)/db:/db" \
	surrealdb/surrealdb:latest start \
	--bind 127.0.0.1:8000 \
	--user root \
	--pass root \
	--log debug \
	--import-file /db/schema/schema.surql \
	rocksdb://data/dev.db
