import Cookies from 'js-cookie';

const AUTH_COOKIE_NAME = 'auth';

export const AuthCookie = {
	get: () => Cookies.get(AUTH_COOKIE_NAME),
	set: (value: string, expires = 1) =>
		Cookies.set(AUTH_COOKIE_NAME, value, {
			path: '/',
			secure: true,
			sameSite: 'strict',
			expires
		}),
	remove: () => Cookies.remove(AUTH_COOKIE_NAME, { path: '/', secure: true, sameSite: 'strict' })
};
