import type { Role, Roles } from '$types';
import type { redirect } from '@sveltejs/kit';

// type Includes<T extends any[], U> = T extends [infer First, ...infer Rest]
//   ? First extends U
//   ? true
//   : Includes<Rest, U>
//   : false;

// type UniqueArray<T extends any[], Acc extends any[] = []> = T extends [
//   infer First,
//   ...infer Rest
// ]
//   ? Includes<Acc, First> extends true
//   ? ["Error: Duplicate value found", First]
//   : UniqueArray<Rest, [...Acc, First]>
//   : Acc;

// type ToTuple<T extends any[]> = [...T];

// type UniqueRoles<T extends Role[]> = ToTuple<T> extends infer Tuple extends Role[]
//   ? UniqueArray<Tuple> extends ["Error: Duplicate value found", any]
//   ? never
//   : T
//   : never;

// export type RoleRequirement = Role | {
//   roles: UniqueRoles<Role[]>;
//   requireAll: boolean;
// };

export type RoleRequirement =
	| Role
	| {
			roles: Roles;
			requireAll: boolean;
	  };

export type RouteGuard = {
	pattern: string | RegExp;
	redirectTo?: typeof redirect;
	roles?: RoleRequirement;
};

export type GuardResult = {
	allowed: boolean;
	redirectTo?: typeof redirect;
};

export type RouteConfig = {
	authRoutes: string[];
	protectedRoutes: RouteGuard[];
	unauthorizedRedirect: string;
	defaultAuthRedirect: string;
};
