export function get_student_count(exam_data: any) {
	if (exam_data === undefined) return 0;
	return exam_data.students.length;
}

export function get_available_sub_count(exam_data: any, subtype_name: string) {
	let sub_count = 0;
	exam_data.students.forEach((student) => {
		for (let submission of student.submissions) {
			if (submission.type === subtype_name) {
				sub_count++;
				break; // every student can only submit once per subtype, so we are done with this student
			}
		}
	});
	return sub_count;
}
export function get_random_available_sub(exam_data: any, subtype_name: string) {
	let sub_count = get_available_sub_count(exam_data, subtype_name);
	let rand_index = Math.floor(Math.random() * sub_count);
	let counted_submissions = 0;
	// would obviously be a lot cooler to directly index into an array of available submissions
	exam_data.students.forEach((student) => {
		for (let submission of student.submissions) {
			if (submission.type === subtype_name) {
				if (counted_submissions === rand_index) {
					return { author: student.fullname, submission: submission };
				}
				counted_submissions++;
			}
		}
	});
}

import { Md5 } from 'ts-md5';
export function hash_student_submission(student_name: string, subtype_name: string) {
	return String(Md5.hashStr(student_name + subtype_name));
}
