import type { SidebarContent } from '$types';
import {
	HomeIcon,
	MessagesSquareIcon,
	BugIcon,
	LayoutDashboardIcon,
	UserCogIcon,
	ChartColumnIncreasingIcon,
	UsersIcon,
	UserPenIcon,
	ListTodoIcon,
	ClipboardListIcon
} from 'lucide-svelte';
// the reason for moving away from lucide again is that you
// cant pass lucide-icons around if you need to configure them

export const tutorSidebarContent: SidebarContent = [
	{
		title: 'Home',
		descr: 'General Exam Overview',
		icon: 'material-symbols:house',
		href: '/',
		label: 'nav_home'
	},
	{
		title: 'Assignments',
		descr: 'Assignment Overview',
		icon: 'material-symbols:dashboard-outline-rounded',
		href: '/assignments/overview',
		label: 'nav_assignment_overview'
	},
	{
		title: 'Statistics',
		descr: 'Submission Statistics',
		icon: 'material-symbols:bar-chart-4-bars',
		href: '/statistics',
		label: 'nav_statistics'
	}
];

export const reviewerSidebarContent: SidebarContent = [
	{
		title: 'Participants',
		descr: 'Student List',
		icon: 'material-symbols:person-edit-outline',
		href: '/students/overview',
		label: 'nav_participant_overview'
	},
	{
		title: 'Feedback History',
		descr: 'Review provided Feedback',
		icon: 'material-symbols:feedback-outline-rounded',
		href: '/feedback_hist',
		label: 'nav_feedback_hist'
	},
	{
		title: 'Overview',
		descr: 'Full State of Correction',
		icon: 'material-symbols:list-alt-outline',
		href: '/full_overview',
		label: 'nav_full_overview'
	}
];

export const adminSidebarContent: SidebarContent = [
	{
		title: 'User Table',
		descr: 'Complete user table',
		icon: 'material-symbols:person-search-outline',
		href: '/admin/users',
		label: 'nav_usertable'
	},
	{
		title: 'Debug',
		descr: 'Debugging and Data',
		icon: 'material-symbols:bug-report',
		href: '/debug',
		label: 'nav_debug'
	}
];

const devSidebarContent: SidebarContent = {
	items: [
		{
			title: 'Overview',
			href: '/assignments/overview',
			icon: LayoutDashboardIcon
		},
		{
			title: 'Debug',
			href: '/debug',
			icon: BugIcon
		},
		{
			title: 'Users (admin)',
			href: '/admin/users',
			icon: UserCogIcon
		}
	]
};

export const appBarState = $state({ title: '---' });
// export const sidebarState = $state({ isOpen: true, content: defaultSidebarContent });
// export const sidebarState = $state({ isOpen: false, content: tutorSidebarContent });
export const sidebarState = $state({ isOpen: false, content: reviewerSidebarContent });
