import { readable, writable, derived } from 'svelte/store';

// Placeholder Submissions
export const submission_types = readable([
	{
		name: '[a04-1] Formale Sprachen, Automat',
		full_score: 12,
		description:
			"<?xml version='1.0'?><div><p style='text-align: left;'>Betrachten Sie den nachfolgend abgebildeten Zustandsgraphen eines nichtdeterministischen endlichen Automaten (NEA) über dem Alphabet <span class='latex'>\\(\\Sigma = \\{a, b\\}\\)</span>.</p>\r\n<p style='text-align: left;'><img alt='NEA' height='604' src='il_10632_mob_92499' style='text-align: left; vertical-align: middle;' width='733'/></p>\r\n<p>Gesucht wird ein äquivalenter deterministischer endlicher Automat (DEA) <span class='latex'>\\(A=(\\Sigma, Q, \\{q_0\\}, F, \\delta) \\)</span>.</p>\r\n<p style='text-align: left;'>Kopieren Sie nachstehenden Text (AsciiMath und Markdown) in den Editor und bearbeiten Sie Teilaufgabe 1 und 2.</p>\r\n<pre>### Überführungsfunktion<br/><br/>| $p in Q$               | $delta_p(a)$ | $delta_p(b)$ |<br/>| :---                   | :---         | :---         |<br/>| ${q_0}$                | ${q_0, q_1}$ | ${q_1}$      |<br/>| ${q_1}$                |              |              |<br/>| ${q_2}$                |              |              |<br/>| ${q_3}$                |              |              |<br/>| ${q_0, q_1}$           |              |              |<br/>| ${q_0, q_2}$           |              |              |<br/>| ${q_0, q_3}$           |              |              |<br/>| ${q_1, q_2}$           |              |              |<br/>| ${q_1, q_3}$           |              |              |<br/>| ${q_2, q_3}$           |              |              |<br/>| ${q_0, q_1, q_2}$      |              |              |<br/>| ${q_0, q_1, q_3}$      |              |              |<br/>| ${q_0, q_2, q_3}$      |              |              |<br/>| ${q_1, q_2, q_3}$      |              |              |<br/>| ${q_0, q_1, q_2, q_3}$ |              |              |<br/>| $O/$                   |              |              |<br/><br/><br/>### Akzeptierende Zustände<br/><br/>F = { ... }</pre>\r\n<p/>\r\n<h1 style='text-align: left;'><strong>Teilaufgabe 1</strong></h1>\r\n<p style='text-align: left;'>Geben Sie die Überführungsfunktion <span class='latex'>\\(\\delta\\)</span> an.</p>\r\n<ul>\r\n<li>Löschen Sie alle Zeilen der Tabelle, deren Eintrag in der <code>$p in Q$</code>-Spalte nicht zur Zustandsmenge <span class='latex'>\\(Q\\)</span> gehört.</li>\r\n<li>Vervollständigen Sie die übrigen Zeilen.</li>\r\n</ul>\r\n<p/>\r\n<h1 style='text-align: left;'><strong>Teilaufgabe 2</strong></h1>\r\n<p style='text-align: left;'>Geben Sie die Menge <span class='latex'>\\(F\\)</span> der akzeptierenden Zustände an.</p>\r\n<p/>\r\n<p/></div>",
		solution:
			'# [a04-1] Formale Sprachen, Automat (12 Punkte)\n\n[//]: # Es kommt nicht auf die AsciiMath/Markdown-Syntax an\n\n### Überführungsfunktion\n\n| $p in Q$               | $delta_p(a)$      | $delta_p(b)$      |\n| :---                   | :---              | :---              |\n| ${q_0}$                | ${q_0, q_1}$      | ${q_1}$           |\n| ${q_1}$                | $O/$              | ${q_2}$           |\n| ${q_2}$                | $O/$              | ${q_1, q_3}$      |\n| ${q_0, q_1}$           | ${q_0, q_1}$      | ${q_1, q_2}$      |\n| ${q_1, q_2}$           | $O/$              | ${q_1, q_2, q_3}$ | \n| ${q_1, q_3}$           | ${q_0}$           | ${q_2}$           |\n| ${q_1, q_2, q_3}$      | ${q_0}$           | ${q_1, q_2, q_3}$ |\n| $O/$                   | $O/$              | $O/$              |\n\n[//]: # 2 Punkte, richtige Zustandsmenge\n\n[//]: # 0.5 Punkte (8 Punkte), für jedes richtige $delta_p$\n\n\n### Akzeptierende Zustände\n\nF = { ${q_1}$, ${q_0, q_1}$, ${q_1, q_2}$, ${q_1, q_3}$, ${q_1, q_2, q_3}$ }\n\n[//]: #\nwenn F korrekt\n* 2 Punkte\nsonst\n* +0.4 Punkte für jeden richtigen Zustand\n* -0.4 Punkte für jeden falschen Zustand\n* Normalisieren\n  - 1.6     = 1.5\n  - 1.2     = 1.0\n  - 0.8     = 0.5\n  - <= 0.4  = 0\n\n',
		programming_language: 'markdown',
		total_cnt: 22,
		in_review_cnt: 3,
		finished_cnt: 15
	},
	{
		name: '[a04-2] Formale Sprachen, Grammatik I',
		full_score: 4,
		description:
			"<?xml version='1.0'?><div><p>Formulieren Sie das Pumping-Lemma für <strong>reguläre</strong> Sprachen.</p>\r\n<p>Verwenden Sie einfachen Text und benutzen Sie <strong>AsciiMath</strong> für zusätzliche Schriftzeichen und Symbole. Sie können, z.B. zur Gliederung des Text, zusätzlich die Auszeichnungssprache <strong>Markdown</strong> verwenden.</p></div>",
		solution:
			'# [a04-2] Formale Sprachen, Grammatik I (4 Punkte)\n\n[//]: # Es kommt nicht auf die AsciiMath/Markdown-Syntax an\n\n[//]: # Wichtig ist, dass man erkenne kann, was gemeint ist\n\n#### Pumping Lemma\n\n[//]: # 0.5 Punkte\nSei $L$ eine reguläre Sprache.\n\n[//]: # 0.5 Punkte\nDann gibt es einen Konstante $k in NN$,\n\n[//]: # 1 Punkt\nsodass es für jedes Wort $w in L$ mit $|w| >= k$ eine Zerlegung  \n$x, y, z in Sigma^**$ gibt, d.h. $w = xyz$,\n\n[//]: # 1 Punkt\nfür die Folgendes gilt.\n\n- $|xy| <= k$\n- $|y| >= 1$\n\n[//]: # 1 Punkt\n- $xy in L$\n- für alle $i in NN$ gilt $xy^iz in L$\n',
		programming_language: 'markdown',
		total_cnt: 22,
		in_review_cnt: 1,
		finished_cnt: 11
	},
	{
		name: '[a04-3] Formale Sprachen, Grammatik II',
		full_score: 8,
		description:
			"<?xml version='1.0'?><div><p>Zeigen Sie, dass die Sprache</p>\r\n<p><span class='latex'>\\(L = \\{\\ a^m b^m c^m\\ | \\mbox{ mit } m \\in \\mathbb{N}\\ \\}\\)</span> über dem Alphabet <span class='latex'>\\(\\Sigma = \\{a, b, c\\}\\)</span></p>\r\n<p>nicht <strong>regulär</strong> ist.</p>\r\n<p>Verwenden Sie einfachen Text und benutzen Sie <strong>AsciiMath</strong> für zusätzliche Schriftzeichen und Symbole. Sie können, z.B. zur Gliederung des Text, zusätzlich die Auszeichnungssprache <strong>Markdown</strong> verwenden.</p></div>",
		solution:
			'# [a04-3] Formale Sprachen, Grammatik II (8 Punkte)\n\n[//]: # Es kommt nicht auf die AsciiMath/Markdown-Syntax an]\n\n[//]: # Wichtig ist, dass man erkenne kann, was gemeint ist\n\n[//]: # Beweis muss nicht identisch sein, Ansatz und Umsetzung müssen stimmen\n\n### Pumping Lemma II\n\n#### Behauptung\n\n$L = {a^m  b^m c^m | $ mit $ m in NN}$ über dem Alphabet\n$\\Sigma = {a,b,c}$ ist keine reguläre Sprache.\n\n#### Beweis\n\n##### Annahme\n\n[//]: # 1 Punkt\n$L$ ist regulär\n\n##### Folgerung\n\n[//]: # 1 Punkt\nEs gilt das Pumping Lemma für reguläre Sprachen mit Konstante $p in NN$.\n\n##### Auswahl\n\n[//]: # 1 Punkt\nWähle $w = a^p b^p c^p$, dann gilt $|w| = 3p >= p$.\n\n[//]: # 1 Punkt\nSei $x, y, z in \\Sigma^**$ eine beliebige Zerlegung von $w$, d.h. $w = xyz$, für die Folgendes gilt.\n\n- $|xy| <= p$\n- $|y| >= 1$\n\n[//]: # 2 Punkte\nD.h. mit $|xy| <= p$ und $|y| >= 1$ gilt $xy = a^{i+j}$\nmit $i+j <= p$ und $j > 0$.\n\n##### Abpumpen\n\n[//]: # 1 Punkt\nEs gilt $xz = a^{m-j} b^m c^m notin L$, weil $j > 0$.\n\n##### Widerspruch\n\n[//]: # 1 Punkt\nFür jede Zerlegung $w = xyz$ mit $|xy| <= p$ und $|y| >= 1$\ngilt $xz notin L$, dass ist ein Widerspruch zur Annahme.\n\n##### Aufpumpen (alternativ)\n\n[//]: # 1 Punkt\nEs gilt $xy^kz = a^{m+kj}  b^m c^m notin L$, weil $j > 0$.\n\n##### Widerspruch\n\n[//]: # 1 Punkt\nFür jede Zerlegung $w = xyz$ mit $|xy| <= p$ und $|y| >= 1$\ngilt $xy^kz notin L$ für $k in NN$, dass ist ein Widerspruch zur Annahme.\n\n#### Ergebnis\n$L$ ist keine reguläre Sprache.\n\n',
		programming_language: 'markdown',
		total_cnt: 22,
		in_review_cnt: 0,
		finished_cnt: 19
	},
	{
		name: '[a07-2] Haskell - Typklassen',
		full_score: 8,
		description:
			"<?xml version='1.0'?><div><p>Betrachten Sie den Anfang der Typklasse <code>Compare</code> in Haskell.</p>\r\n<pre>class (Eq a) =&gt; Compare a where<br/>  (&lt;|), (&lt;=|), (|&gt;=), (|&gt;)  :: a -&gt; a -&gt; Bool<br/>  min                       :: a -&gt; a -&gt; a\r\n</pre>\r\n<p>Vervollständigen Sie die Typklasse <code>Compare</code>, sodass zur Bildung einer Instanz der Typklasse nur einer der vier deklarierten Operatoren definiert werden muss.</p>\r\n<p><span style='text-decoration: underline;'>Hinweis.</span> Vergessen Sie die Funktion <code>min</code> nicht.</p></div>",
		solution:
			"-- [a07-2] Haskell - Typklassen (8 Punkte)\n\n-- die Operatoren und Funktionen sollten richtig definiert sein\n-- die vier Operatoren muessen 'im Kreis' von einander abhaengen\n\n-- Vorgabe\nclass (Eq a) => Compare a where\n  (<|), (<=|), (|>=), (|>)  :: a -> a -> Bool\n  min                       :: a -> a -> a\n\n-- Operatoren\n-- jeweils 1.5 Punkte (6 Punkte)\n  x <=| y = x <| y || x == y\n  x <|  y = not (x |>= y)\n  x |>= y = x |> y || x == y\n  x |>  y = not (x <=| y)\n  \n-- alternativ\n--  x <|  y = (x <=| y) && not (x == y)\n--  x <=| y = not(x |> y)\n--  x |>  y = (x |>= y) && not (x == y)\n--  x |>= y = not(x <| y)\n\n-- alternativ mit Funktionen\n--    (<=|) x y = (<|) x y || (==) x y\n--    (<|)  x y = not $ (|>=) x y)\n--    (|>=) x y = (|>) x y || (==) x y\n--    (|>)  x y = not $ (<=|) x y\n\n-- falsch, zwei Kreise\n-- trotzdem jeweils 1 Punkt pro Operator\n--  x <=| y = x <| y || x == y\n--  x <|  y = (x <=| y) && (not (x == y))\n--  x |>= y = x |> y || x == y\n--  x |>  y = (x|>= y) && (not (x == y))\n\n-- Minimum (eine Moeglichkeit)\n-- 2 Punkte\n  min x y\n    | x <|  y   = x\n    | otherwise = y\n",
		programming_language: 'haskell',
		total_cnt: 22,
		in_review_cnt: 7,
		finished_cnt: 1
	}
]);
