import { browser } from '$app/environment';

export const themeOptions = ['light', 'dark'] as const;
type ThemeOption = (typeof themeOptions)[number];

export const getTheme = (): ThemeOption => {
	if (!browser) return 'light';

	const savedTheme = localStorage.getItem('theme') as ThemeOption | null;

	if (savedTheme !== null && themeOptions.includes(savedTheme)) {
		return savedTheme;
	}

	localStorage.removeItem('theme');

	const preference = window.matchMedia('(prefers-color-scheme: dark)').matches ? 'dark' : 'light';

	return preference;
};

// export const currentTheme = writable<ThemeOptions>('preference', (set) => {
//   if (!browser) return

//   const savedTheme = localStorage.getItem('theme')

//   if (savedTheme == null) return

//   if (!themeOptions.includes(savedTheme as any)) {
//     localStorage.setItem('theme', 'preference');
//     return
//   }

//   set(savedTheme as any)
// })
