/* Place your custom changes here */

import { z } from 'zod';

import { assignmentInputSchemaGen, assignmentOutputSchemaGen } from '../../_generated/index.js';
import { recordId } from '../../_generated/recordSchema.js';

// payload schema for creating a new assignment entity
export const assignmentCreateSchema = assignmentInputSchemaGen.merge(
	z.object({
		id: recordId('assignment').optional()
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);

// payload schema for fetching a assignment entity
export const assignmentSchema = assignmentOutputSchemaGen.merge(
	z.object({
		id: recordId('assignment')
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);
