/* Place your custom changes here */

import { z } from 'zod';

import { evaluationInputSchemaGen, evaluationOutputSchemaGen } from '../../_generated/index.js';
import { recordId } from '../../_generated/recordSchema.js';

// payload schema for creating a new evaluation entity
export const evaluationCreateSchema = evaluationInputSchemaGen.merge(
	z.object({
		id: recordId('evaluation').optional()
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);

// payload schema for fetching a evaluation entity
export const evaluationSchema = evaluationOutputSchemaGen.merge(
	z.object({
		id: recordId('evaluation')
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);
