/* Place your custom changes here */

import { z } from 'zod';

import { hasAccountInputSchemaGen, hasAccountOutputSchemaGen } from '../../_generated/index.js';
import { recordId } from '../../_generated/recordSchema.js';

// payload schema for creating a new has_account entity
export const hasAccountCreateSchema = hasAccountInputSchemaGen.merge(
	z.object({
		id: recordId('hasAccount').optional()
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);

// payload schema for fetching a has_account entity
export const hasAccountSchema = hasAccountOutputSchemaGen.merge(
	z.object({
		id: recordId('hasAccount')
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);
