/* Place your custom changes here */

import { z } from 'zod';

import { moduleInputSchemaGen, moduleOutputSchemaGen } from '../../_generated/index.js';
import { recordId } from '../../_generated/recordSchema.js';

// payload schema for creating a new module entity
export const moduleCreateSchema = moduleInputSchemaGen.merge(
	z.object({
		id: recordId('module').optional()
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);

// payload schema for fetching a module entity
export const moduleSchema = moduleOutputSchemaGen.merge(
	z.object({
		id: recordId('module')
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);
