/* Place your custom changes here */

import { z } from 'zod';

import { reviewInputSchemaGen, reviewOutputSchemaGen } from '../../_generated/index.js';
import { recordId } from '../../_generated/recordSchema.js';

// payload schema for creating a new review entity
export const reviewCreateSchema = reviewInputSchemaGen.merge(
	z.object({
		id: recordId('review').optional()
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);

// payload schema for fetching a review entity
export const reviewSchema = reviewOutputSchemaGen.merge(
	z.object({
		id: recordId('review')
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);
