/* Place your custom changes here */

import { z } from 'zod';

import { reviewerInputSchemaGen, reviewerOutputSchemaGen } from '../../_generated/index.js';
import { recordId } from '../../_generated/recordSchema.js';

// payload schema for creating a new reviewer entity
export const reviewerCreateSchema = reviewerInputSchemaGen.merge(
	z.object({
		id: recordId('reviewer').optional()
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);

// payload schema for fetching a reviewer entity
export const reviewerSchema = reviewerOutputSchemaGen.merge(
	z.object({
		id: recordId('reviewer')
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);
