/* Place your custom changes here */

import { z } from 'zod';

import { studentInputSchemaGen, studentOutputSchemaGen } from '../../_generated/index.js';
import { recordId } from '../../_generated/recordSchema.js';

// payload schema for creating a new student entity
export const studentCreateSchema = studentInputSchemaGen.merge(
	z.object({
		id: recordId('student').optional()
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);

// payload schema for fetching a student entity
export const studentSchema = studentOutputSchemaGen.merge(
	z.object({
		id: recordId('student')
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);
