/* Place your custom changes here */

import { z } from 'zod';

import { submissionInputSchemaGen, submissionOutputSchemaGen } from '../../_generated/index.js';
import { recordId } from '../../_generated/recordSchema.js';

// payload schema for creating a new submission entity
export const submissionCreateSchema = submissionInputSchemaGen.merge(
	z.object({
		id: recordId('submission').optional()
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);

// payload schema for fetching a submission entity
export const submissionSchema = submissionOutputSchemaGen.merge(
	z.object({
		id: recordId('submission')
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);
