/* Place your custom changes here */

import { z } from 'zod';

import { tutorInputSchemaGen, tutorOutputSchemaGen } from '../../_generated/index.js';
import { recordId } from '../../_generated/recordSchema.js';

// payload schema for creating a new tutor entity
export const tutorCreateSchema = tutorInputSchemaGen.merge(
	z.object({
		id: recordId('tutor').optional()
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);

// payload schema for fetching a tutor entity
export const tutorSchema = tutorOutputSchemaGen.merge(
	z.object({
		id: recordId('tutor')
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);
