/* Place your custom changes here */

import { z } from 'zod';

import { userInputSchemaGen, userOutputSchemaGen } from '../../_generated/index.js';
import { recordId } from '../../_generated/recordSchema.js';

// payload schema for creating a new user entity
export const userCreateSchema = userInputSchemaGen.merge(
	z.object({
		id: recordId('user').optional()
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);

// payload schema for fetching a user entity
export const userSchema = userOutputSchemaGen.merge(
	z.object({
		id: recordId('user')
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);
