import { z } from 'zod';

export const querySchema = z.object({
	query: z.string().min(1)
});

export const uploadSchema = z.object({
	examFile: z
		.instanceof(File, { message: 'Please upload a file.' })
		.refine((f) => f.size < 50_000_000, 'Max 50 MB upload size.')
		.refine((f) => f.type === 'application/json', 'Only JSON files are accepted.')
});
