import type { Config } from 'tailwindcss';

import { join } from 'path';
import { skeleton, contentPath } from '@skeletonlabs/skeleton/plugin';
import * as themes from '@skeletonlabs/skeleton/themes';
import twScrollbar from 'tailwind-scrollbar';

import grady from './theme';

export default {
	darkMode: 'class',
	content: ['./src/**/*.{html,js,svelte,ts}', contentPath(import.meta.url, 'svelte')],
	theme: { extend: {} },
	variants: {
		extend: {
			backgroundColor: ['even']
		}
	},
	plugins: [
		skeleton({
			themes: [themes.catppuccin, themes.rose, grady]
		}),
		twScrollbar
	]
} satisfies Config;
