import type { Theme } from '@skeletonlabs/skeleton/themes';

const grady = {
	name: 'grady',
	properties: {
		'--type-scale-factor': '1.25',
		'--type-scale-1': 'calc(0.75rem * var(--type-scale-factor))',
		'--type-scale-2': 'calc(0.875rem * var(--type-scale-factor))',
		'--type-scale-3': 'calc(1rem * var(--type-scale-factor))',
		'--type-scale-4': 'calc(1.125rem * var(--type-scale-factor))',
		'--type-scale-5': 'calc(1.25rem * var(--type-scale-factor))',
		'--type-scale-6': 'calc(1.5rem * var(--type-scale-factor))',
		'--type-scale-7': 'calc(1.875rem * var(--type-scale-factor))',
		'--type-scale-8': 'calc(2.25rem * var(--type-scale-factor))',
		'--type-scale-9': 'calc(3rem * var(--type-scale-factor))',
		'--type-scale-10': 'calc(3.75rem * var(--type-scale-factor))',
		'--type-scale-11': 'calc(4.5rem * var(--type-scale-factor))',
		'--type-scale-12': 'calc(6rem * var(--type-scale-factor))',
		'--type-scale-13': 'calc(8rem * var(--type-scale-factor))',
		'--base-font-color': 'var(--color-surface-950)',
		'--base-font-color-dark': 'var(--color-surface-50)',
		'--base-font-family': 'system-ui, sans-serif',
		'--base-font-size': 'inherit',
		'--base-line-height': 'inherit',
		'--base-font-weight': 'normal',
		'--base-font-style': 'normal',
		'--base-letter-spacing': '0em',
		'--heading-font-color': 'inherit',
		'--heading-font-color-dark': 'inherit',
		'--heading-font-family':
			'Seravek, Gill Sans Nova, Ubuntu, Calibri, DejaVu Sans, source-sans-pro, sans-serif',
		'--heading-font-weight': 'bold',
		'--heading-font-style': 'normal',
		'--heading-letter-spacing': '0.025em',
		'--anchor-font-color': 'var(--color-tertiary-600)',
		'--anchor-font-color-dark': 'var(--color-tertiary-500)',
		'--anchor-font-family': 'inherit',
		'--anchor-font-size': 'inherit',
		'--anchor-line-height': 'inherit',
		'--anchor-font-weight': 'inherit',
		'--anchor-font-style': 'inherit',
		'--anchor-letter-spacing': 'inherit',
		'--anchor-text-decoration': 'none',
		'--anchor-text-decoration-hover': 'underline',
		'--anchor-text-decoration-active': 'none',
		'--anchor-text-decoration-focus': 'none',
		'--space-scale-factor': '1',
		'--radii-default': '6px',
		'--radii-container': '12px',
		'--border-width-default': '0px',
		'--divide-width-default': '1px',
		'--outline-width-default': '1px',
		'--ring-width-default': '1px',
		'--body-background-color': '255 255 255',
		'--body-background-color-dark': 'var(--color-surface-900)',
		'--color-primary-50': '187 181 255',
		'--color-primary-100': '156 158 244',
		'--color-primary-200': '125 135 234',
		'--color-primary-300': '95 113 223',
		'--color-primary-400': '64 90 213',
		'--color-primary-500': '33 67 202',
		'--color-primary-600': '26 54 178',
		'--color-primary-700': '20 40 154',
		'--color-primary-800': '13 27 131',
		'--color-primary-900': '7 13 107',
		'--color-primary-950': '0 0 83',
		'--color-primary-contrast-dark': 'var(--color-primary-950)',
		'--color-primary-contrast-light': 'var(--color-primary-50)',
		'--color-primary-contrast-50': 'var(--color-primary-contrast-dark)',
		'--color-primary-contrast-100': 'var(--color-primary-contrast-dark)',
		'--color-primary-contrast-200': 'var(--color-primary-contrast-dark)',
		'--color-primary-contrast-300': 'var(--color-primary-contrast-dark)',
		'--color-primary-contrast-400': 'var(--color-primary-contrast-light)',
		'--color-primary-contrast-500': 'var(--color-primary-contrast-light)',
		'--color-primary-contrast-600': 'var(--color-primary-contrast-light)',
		'--color-primary-contrast-700': 'var(--color-primary-contrast-light)',
		'--color-primary-contrast-800': 'var(--color-primary-contrast-light)',
		'--color-primary-contrast-900': 'var(--color-primary-contrast-light)',
		'--color-primary-contrast-950': 'var(--color-primary-contrast-light)',
		'--color-secondary-50': '163 255 255',
		'--color-secondary-100': '130 235 231',
		'--color-secondary-200': '98 214 207',
		'--color-secondary-300': '65 194 183',
		'--color-secondary-400': '33 173 159',
		'--color-secondary-500': '0 153 135',
		'--color-secondary-600': '0 131 114',
		'--color-secondary-700': '0 109 93',
		'--color-secondary-800': '0 86 72',
		'--color-secondary-900': '0 64 51',
		'--color-secondary-950': '0 42 30',
		'--color-secondary-contrast-dark': '0 0 0',
		'--color-secondary-contrast-light': '255 255 255',
		'--color-secondary-contrast-50': 'var(--color-secondary-contrast-dark)',
		'--color-secondary-contrast-100': 'var(--color-secondary-contrast-dark)',
		'--color-secondary-contrast-200': 'var(--color-secondary-contrast-dark)',
		'--color-secondary-contrast-300': 'var(--color-secondary-contrast-dark)',
		'--color-secondary-contrast-400': 'var(--color-secondary-contrast-dark)',
		'--color-secondary-contrast-500': 'var(--color-secondary-contrast-dark)',
		'--color-secondary-contrast-600': 'var(--color-secondary-contrast-light)',
		'--color-secondary-contrast-700': 'var(--color-secondary-contrast-light)',
		'--color-secondary-contrast-800': 'var(--color-secondary-contrast-light)',
		'--color-secondary-contrast-900': 'var(--color-secondary-contrast-light)',
		'--color-secondary-contrast-950': 'var(--color-secondary-contrast-light)',
		'--color-tertiary-50': '198 255 255',
		'--color-tertiary-100': '158 245 255',
		'--color-tertiary-200': '119 235 255',
		'--color-tertiary-300': '79 224 255',
		'--color-tertiary-400': '40 214 255',
		'--color-tertiary-500': '0 204 255',
		'--color-tertiary-600': '0 180 230',
		'--color-tertiary-700': '0 157 205',
		'--color-tertiary-800': '0 133 181',
		'--color-tertiary-900': '0 110 156',
		'--color-tertiary-950': '0 86 131',
		'--color-tertiary-contrast-dark': '0 0 0',
		'--color-tertiary-contrast-light': 'var(--color-tertiary-50)',
		'--color-tertiary-contrast-50': 'var(--color-tertiary-contrast-dark)',
		'--color-tertiary-contrast-100': 'var(--color-tertiary-contrast-dark)',
		'--color-tertiary-contrast-200': 'var(--color-tertiary-contrast-dark)',
		'--color-tertiary-contrast-300': 'var(--color-tertiary-contrast-dark)',
		'--color-tertiary-contrast-400': 'var(--color-tertiary-contrast-dark)',
		'--color-tertiary-contrast-500': 'var(--color-tertiary-contrast-dark)',
		'--color-tertiary-contrast-600': 'var(--color-tertiary-contrast-dark)',
		'--color-tertiary-contrast-700': 'var(--color-tertiary-contrast-dark)',
		'--color-tertiary-contrast-800': 'var(--color-tertiary-contrast-dark)',
		'--color-tertiary-contrast-900': 'var(--color-tertiary-contrast-light)',
		'--color-tertiary-contrast-950': 'var(--color-tertiary-contrast-light)',
		'--color-success-50': '184 255 183',
		'--color-success-100': '149 244 158',
		'--color-success-200': '113 234 133',
		'--color-success-300': '78 223 109',
		'--color-success-400': '42 213 84',
		'--color-success-500': '7 202 59',
		'--color-success-600': '6 178 47',
		'--color-success-700': '4 153 35',
		'--color-success-800': '3 129 24',
		'--color-success-900': '1 104 12',
		'--color-success-950': '0 80 0',
		'--color-success-contrast-dark': '0 0 0',
		'--color-success-contrast-light': 'var(--color-success-50)',
		'--color-success-contrast-50': 'var(--color-success-contrast-dark)',
		'--color-success-contrast-100': 'var(--color-success-contrast-dark)',
		'--color-success-contrast-200': 'var(--color-success-contrast-dark)',
		'--color-success-contrast-300': 'var(--color-success-contrast-dark)',
		'--color-success-contrast-400': 'var(--color-success-contrast-dark)',
		'--color-success-contrast-500': 'var(--color-success-contrast-dark)',
		'--color-success-contrast-600': 'var(--color-success-contrast-dark)',
		'--color-success-contrast-700': 'var(--color-success-contrast-dark)',
		'--color-success-contrast-800': 'var(--color-success-contrast-light)',
		'--color-success-contrast-900': 'var(--color-success-contrast-light)',
		'--color-success-contrast-950': 'var(--color-success-contrast-light)',
		'--color-warning-50': '255 255 159',
		'--color-warning-100': '255 244 127',
		'--color-warning-200': '255 233 95',
		'--color-warning-300': '255 222 64',
		'--color-warning-400': '255 211 32',
		'--color-warning-500': '255 200 0',
		'--color-warning-600': '228 177 0',
		'--color-warning-700': '201 154 0',
		'--color-warning-800': '174 131 0',
		'--color-warning-900': '147 108 0',
		'--color-warning-950': '120 85 0',
		'--color-warning-contrast-dark': '0 0 0',
		'--color-warning-contrast-light': 'var(--color-warning-50)',
		'--color-warning-contrast-50': 'var(--color-warning-contrast-dark)',
		'--color-warning-contrast-100': 'var(--color-warning-contrast-dark)',
		'--color-warning-contrast-200': 'var(--color-warning-contrast-dark)',
		'--color-warning-contrast-300': 'var(--color-warning-contrast-dark)',
		'--color-warning-contrast-400': 'var(--color-warning-contrast-dark)',
		'--color-warning-contrast-500': 'var(--color-warning-contrast-dark)',
		'--color-warning-contrast-600': 'var(--color-warning-contrast-dark)',
		'--color-warning-contrast-700': 'var(--color-warning-contrast-dark)',
		'--color-warning-contrast-800': 'var(--color-warning-contrast-dark)',
		'--color-warning-contrast-900': 'var(--color-warning-contrast-light)',
		'--color-warning-contrast-950': 'var(--color-warning-contrast-light)',
		'--color-error-50': '255 156 114',
		'--color-error-100': '244 125 91',
		'--color-error-200': '232 94 68',
		'--color-error-300': '221 62 46',
		'--color-error-400': '209 31 23',
		'--color-error-500': '198 0 0',
		'--color-error-600': '173 0 0',
		'--color-error-700': '149 0 0',
		'--color-error-800': '124 0 0',
		'--color-error-900': '100 0 0',
		'--color-error-950': '75 0 0',
		'--color-error-contrast-dark': '0 0 0',
		'--color-error-contrast-light': 'var(--color-error-50)',
		'--color-error-contrast-50': 'var(--color-error-contrast-dark)',
		'--color-error-contrast-100': 'var(--color-error-contrast-dark)',
		'--color-error-contrast-200': 'var(--color-error-contrast-dark)',
		'--color-error-contrast-300': 'var(--color-error-contrast-dark)',
		'--color-error-contrast-400': 'var(--color-error-contrast-dark)',
		'--color-error-contrast-500': 'var(--color-error-contrast-dark)',
		'--color-error-contrast-600': 'var(--color-error-contrast-light)',
		'--color-error-contrast-700': 'var(--color-error-contrast-light)',
		'--color-error-contrast-800': 'var(--color-error-contrast-light)',
		'--color-error-contrast-900': 'var(--color-error-contrast-light)',
		'--color-error-contrast-950': 'var(--color-error-contrast-light)',
		'--color-surface-50': '146 160 167',
		'--color-surface-100': '124 138 145',
		'--color-surface-200': '103 116 123',
		'--color-surface-300': '81 94 100',
		'--color-surface-400': '60 72 78',
		'--color-surface-500': '38 50 56',
		'--color-surface-600': '30 40 45',
		'--color-surface-700': '23 30 34',
		'--color-surface-800': '15 20 22',
		'--color-surface-900': '8 10 11',
		'--color-surface-950': '0 0 0',
		'--color-surface-contrast-dark': 'var(--color-surface-950)',
		'--color-surface-contrast-light': 'var(--color-surface-50)',
		'--color-surface-contrast-50': 'var(--color-surface-contrast-dark)',
		'--color-surface-contrast-100': 'var(--color-surface-contrast-dark)',
		'--color-surface-contrast-200': 'var(--color-surface-contrast-dark)',
		'--color-surface-contrast-300': 'var(--color-surface-contrast-light)',
		'--color-surface-contrast-400': 'var(--color-surface-contrast-light)',
		'--color-surface-contrast-500': 'var(--color-surface-contrast-light)',
		'--color-surface-contrast-600': 'var(--color-surface-contrast-light)',
		'--color-surface-contrast-700': 'var(--color-surface-contrast-light)',
		'--color-surface-contrast-800': 'var(--color-surface-contrast-light)',
		'--color-surface-contrast-900': 'var(--color-surface-contrast-light)',
		'--color-surface-contrast-950': 'var(--color-surface-contrast-light)'
	},
	metadata: {
		version: '3.0.0'
	}
} satisfies Theme;

export default grady;
